Subject: Re: [AAA-WG]: API Issue

From: James Kempf <[email-masked]>
Date: Thu, 26 Jul 2001 16:02:25 -0700

Dave,

>On Wed, Jul 25, 2001 at 09:54:45PM -0500, David Frascone wrote:
>> With the changes in the diameter base protocol draft  (-06 and -07), it
>> opens up some possible changes in the API.
>> 
>> In the old api, you would simply create a new message via:
>> 
>> AAANewMessage(commandCode, vendorId, sessionId, extensionId, &msg);
>> 
>> The problem now is, requests and answers share the same command code.  So,
>> I see two ways to solve this:
>> 
>> a) AAANewMessage(commandCode, vendorId, requestFlag, session id . . . yatta
>> 
>> or
>> 
>> b) A function to set the request bit:
>> 
>> AAASetMessageAsResponse(AAAMessage *msg)
>                 ^^^^^^^^
>
>I meant request, of course. Twas late.
>
>
>> AAASetMessageAsAnswer(AAAMessage *msg)
>> 
>> 
>> Any preferences?
>> 
>> I'm leaning towards style B.
>> 

Sounds fine to me.

I think the Java API should already handle this in the library.

		jak